import { relative } from 'path';
/**
 * @internal
 */
export var importQueryParam = '__mi';
/**
 * @internal
 */
export var importContextQueryParam = '__mi_ctx';
/**
 * Generates import url for the provided file.
 * @param base - the base path
 * @param file - the path to file
 */
export var getUrlForFile = function (base, file) {
    var resolved = relative(base, file);
    resolved = resolved.replace(/\\/g, '/');
    var context = '';
    while (resolved.startsWith("../")) {
        context += "../";
        resolved = resolved.substr(3);
    }
    return "/" + resolved + "?" + importQueryParam + "=true" + (context ? "&" + importContextQueryParam + "=" + context : '');
};
//# sourceMappingURL=get-url-for-file.js.map