import { CompilerOptions, CustomTransformerFactory, SourceFile, TransformerFactory } from 'typescript';
import { Resolver } from './create-resolver';
/**
 * @internal
 */
export declare type Transpiler = (file: string) => Promise<string>;
/**
 * Create source code transpiler.
 * @internal
 * @param cwd - working dir
 * @param compilerOptions - typescript compiler options
 * @param transformers - list of custom transformers
 * @param resolve - dependencies resolver
 * @param preloadList - list of modules to preload
 */
export declare const createTranspiler: (cwd: string, compilerOptions: CompilerOptions, transformers: Array<TransformerFactory<SourceFile> | CustomTransformerFactory>, resolve: Resolver, preloadList: Array<string>) => Transpiler;
//# sourceMappingURL=create-transpiler.d.ts.map